DCMTK - Bug #562

Check whether character set encoding is correct for "Native DICOM Model" output
2013-10-18 14:38 - Jorg Riesmeier

Status: Closed Start date: 2013-10-18
Priority: Normal Due date:

Assignee: Michael Onken % Done: 0%
Category: Library and Apps Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmdata Compiler:

Operating System:

Description
According to Table A.1.5-2 in PS 3.19-2011:

The character encoding is that declared for the Infoset, regardless of any DICOM Specific Character Set, and any necessary
translation from the DICOM Specific Character Set to the Infoset character encoding shall have been performed.

Note:
This translation might not be completely lossless, particularly with Asian character sets.

History

#1 - 2017-03-24 11:12 - Marco Eichelberg

- Assignee set to Michael Onken
#2 - 2017-04-13 15:49 - Michael Onken
It occurs to me that the same character handling code regardless of whether the default non-native (i.e. DCMTK-based XML) or the native model (via

-nat) is used, so the character set announced by the XML Infoset should match the encoding in the XML.

#3 - 2017-04-13 15:49 - Michael Onken

- Status changed from New to Closed
